BizKitHub
DocsAPI ReferenceLedger/api/v1/ledger/check-runs
getLedgerPublic API v1

/api/v1/ledger/check-runs

Ledger check runs: integrity (daily, kernel invariants) or monthly (latest run per month: invariants, unposted work, negative cash, bank reconciliation against the payment register, suspense balance, open items without a document).

ledgergetApiV1LedgerCheck-runs

Parameters

3 query

Query parameters

· 3
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

ExamplePRODPGrFxpGEtrOZfuWhnoJohUYBXuOE
entityIdstringRequired

Accounting entity id (from /ledger/entity-list).

Length: 16–24
ExampleKq3vTnY8mZ0aB1cD2eF3gH4i
kind"integrity" | "monthly"Required

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired
monthstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
asOfstringRequired
Example2026-10-31
status"ok" | "warning" | "error"Required
errorCountnumberRequired
warningCountnumberRequired
findingsobject[]Required
Each array item:
codestringRequired
Examplebank_reconciliation
severitystringRequired
countnumberRequired
insertedDatestringRequired

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "asOf": "2026-10-31",
      "errorCount": 0,
      "warningCount": 0,
      "findings": [
        {
          "code": "bank_reconciliation",
          "severity": "example_severity",
          "count": 0
        }
      ],
      "insertedDate": "example_insertedDate"
    }
  ]
}

Request example

GET /api/v1/ledger/check-runs

get
curl -X GET "https://api.bizkithub.com/api/v1/ledger/check-runs?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE&entityId=Kq3vTnY8mZ0aB1cD2eF3gH4i" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key